---
- hosts: localhost
  become: true
  vars: 
    main_class: dummy
    db_name: "{{main_class | lower}}"
    method: docker-twocontainer
    product_module: aisco.product.{{main_class | lower}}
    path_root_server: /var/www/products/{{main_class}}
    dest_BE: "{{path_root_server}}/backend"
    dest_FE: "{{path_root_server}}/frontend"
  tasks:
  - name: Delete "{{main_class}}" directory
    ansible.builtin.file:
      path: "{{ path_root_server }}"
      state: absent

  - name: Delete nginx conf
    ansible.builtin.file:
      path: "/var/www/products/nginx/{{main_class}}.conf"
      state: absent

  - name: stop running-process json-server service 
    ansible.builtin.systemd:
      state: stopped
      name: "{{ main_class | lower }}.jsonserver.service"
    when: method == "systemd"

  - name: stop running-process be service 
    ansible.builtin.systemd:
      state: stopped
      name: "{{ main_class | lower }}.be.service"
    when: method == "systemd"

  - name: Delete systemd json
    ansible.builtin.file:
      path: "/etc/systemd/system/{{main_class | lower}}.jsonserver.service"
      state: absent
    when: method == "systemd"

  - name: Delete systemd be
    ansible.builtin.file:
      path: "/etc/systemd/system/{{main_class | lower}}.be.service"
      state: absent
    when: method == "systemd"
  
  - name: Remove container named "{{main_class}}" with image amanah/backend/{{product_module}}
    community.docker.docker_container:
      name: "{{main_class}}-BE"
      image: amanah/backend/{{product_module}}
      state: absent
    when: method == "docker-twocontainers"

  - name: Remove container named "{{main_class}}" with image amanah/jsonserver/{{product_module}}
    community.docker.docker_container:
      name: "{{main_class}}-JsonServer"
      image: amanah/jsonserver/{{product_module}}
      state: absent
    when: method == "docker-twocontainers"

  - name: Remove image amanah/jsonserver/{{product_module}}
    community.docker.docker_image:
      name: "amanah/jsonserver/{{product_module}}"
      force_absent: True 
      state: absent
    when: method == "docker-twocontainers"

  - name: Remove image amanah/backend/{{product_module}}
    community.docker.docker_image:
      name: "amanah/backend/{{product_module}}"
      force_absent: True 
      state: absent
    when: method == "docker-twocontainers"

  - name: Remove container named "{{main_class}}" with image amanah/{{product_module}}
    community.docker.docker_container:
      name: "{{main_class}}"
      # image: amanah/{{product_module}}
      state: absent
    when: method == "docker-onecontainer"

  - name: Remove image amanah/{{product_module}}
    community.docker.docker_image:
      name: "amanah/{{product_module}}"
      force_absent: True 
      state: absent
    when: method == "docker-onecontainer"


  - name: Delete database
    community.postgresql.postgresql_db:
      login_host: 10.119.106.132
      login_user: deployer
      login_password: rseamanah
      name: "{{db_name}}"
      state: absent